<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:16 CET 2019 -->
<title>R-Index</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="../refinement/handlers/package-summary.html">refinement.handlers</a> - package refinement.handlers</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers"><span class="typeNameLink">RefinementHandler</span></a> - Class in <a href="../refinement/handlers/package-summary.html">refinement.handlers</a></dt>
<dd>
<div class="block">Handler that merges differences from extracted PCM files to actual PCM files.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#RefinementHandler--">RefinementHandler()</a></span> - Constructor for class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#refinementIndexOfComponent-org.eclipse.core.resources.IFile-java.lang.String-">refinementIndexOfComponent(IFile, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return index of refinement that contains componentNames.toLowerCase in valueStates.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/DifferenceUtils.html#refinementIndexOfDifference-refinement.model.refinements.Refinements-org.eclipse.emf.compare.Diff-">refinementIndexOfDifference(Refinements, Diff)</a></span> - Static method in class utils.<a href="../utils/DifferenceUtils.html" title="class in utils">DifferenceUtils</a></dt>
<dd>
<div class="block">Returns index of refinement with a reference that matches referenceID or that valueState
 contains the entityName of the difference.</div>
</dd>
<dt><a href="../provider/RefinementLabelProvider.html" title="class in provider"><span class="typeNameLink">RefinementLabelProvider</span></a> - Class in <a href="../provider/package-summary.html">provider</a></dt>
<dd>
<div class="block">LabelProvider for displaying Refinement in ListSelectionDialog.</div>
</dd>
<dt><span class="memberNameLink"><a href="../provider/RefinementLabelProvider.html#RefinementLabelProvider--">RefinementLabelProvider()</a></span> - Constructor for class provider.<a href="../provider/RefinementLabelProvider.html" title="class in provider">RefinementLabelProvider</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/LoggingUtils.html#refinementSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">refinementSucess(ExecutionEvent, EList&lt;String&gt;)</a></span> - Static method in class utils.<a href="../utils/LoggingUtils.html" title="class in utils">LoggingUtils</a></dt>
<dd>
<div class="block">Success message for RefinementHandler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#replacePCMFile-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-">replacePCMFile(EList&lt;String&gt;, IFile, IFile)</a></span> - Method in class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>
<div class="block">Merge all differences between automatic extracted PCM file and current PCM file to current
 PCM file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfComponent(EList&lt;RepositoryComponent&gt;, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Index of repository_BasicComponent with an entityName that matches componentName.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfCreatedComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfCreatedComponent(EList&lt;String&gt;, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Index of component with an entityName that matches componentName.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
